#include "nield.h"

/*
 * convert AF_* from number to string
 */
const char *af_type_n2s(int type)
{
	struct {
		int type;
		char *name;
	} af_tnames[] = {
#define _AF(x) { x, #x }
		_AF(AF_UNSPEC),
		_AF(AF_LOCAL),
		_AF(AF_UNIX),
		_AF(AF_FILE),
		_AF(AF_INET),
		_AF(AF_AX25),
		_AF(AF_IPX),
		_AF(AF_APPLETALK),
		_AF(AF_NETROM),
		_AF(AF_BRIDGE),
		_AF(AF_ATMPVC),
		_AF(AF_X25),
		_AF(AF_INET6),
		_AF(AF_ROSE),
		_AF(AF_DECnet),
		_AF(AF_NETBEUI),
		_AF(AF_SECURITY),
		_AF(AF_KEY),
		_AF(AF_NETLINK),
		_AF(AF_ROUTE),
		_AF(AF_PACKET),
		_AF(AF_ASH),
		_AF(AF_ECONET),
		_AF(AF_ATMSVC),
		_AF(AF_RDS),
		_AF(AF_SNA),
		_AF(AF_IRDA),
		_AF(AF_PPPOX),
		_AF(AF_WANPIPE),
		_AF(AF_LLC),
		_AF(AF_CAN),
		_AF(AF_TIPC),
		_AF(AF_BLUETOOTH),
		_AF(AF_IUCV),
		_AF(AF_RXRPC),
		_AF(AF_ISDN),
		_AF(AF_PHONET),
		_AF(AF_MAX)
#undef _AF
	};
	int i;

	for(i = 0; i < sizeof(af_tnames)/sizeof(af_tnames[0]); i++)
		if (af_tnames[i].type == type)
			return af_tnames[i].name;

	return "unknown type";
}
